# BadIPDetectionResult

enum BadIPDetectionResult : Enum<BadIPDetectionResult>
Content copied to clipboard

## Entries

GENERAL_BAD
Link copied to clipboard
GENERAL_BAD(true, "bad ip")
Content copied to clipboard
VPN
Link copied to clipboard
VPN(true, "vpn")
Content copied to clipboard
PROXY
Link copied to clipboard
PROXY(true, "proxy")
Content copied to clipboard
TOR
Link copied to clipboard
TOR(true, "tor network")
Content copied to clipboard
HOSTING
Link copied to clipboard
HOSTING(true, "hosting")
Content copied to clipboard
GOOD
Link copied to clipboard
GOOD(false, "valid ip")
Content copied to clipboard
ERROR
Link copied to clipboard
ERROR(false, "error")
Content copied to clipboard
LIMIT
Link copied to clipboard
LIMIT(false, "limit")
Content copied to clipboard

## Functions

compareTo
Link copied to clipboard
operator override fun compareTo(other: BadIPDetectionResult): Int
Content copied to clipboard
equals
Link copied to clipboard
operator override fun equals(other: Any?): Boolean
Content copied to clipboard
finalize
Link copied to clipboard
fun finalize()
Content copied to clipboard
getDeclaringClass
Link copied to clipboard
fun getDeclaringClass(): Class<BadIPDetectionResult>
Content copied to clipboard
hashCode
Link copied to clipboard
override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

isBad
Link copied to clipboard
val isBad: Boolean
Content copied to clipboard
name
Link copied to clipboard
val name: String
Content copied to clipboard
ordinal
Link copied to clipboard
val ordinal: Int
Content copied to clipboard
typeName
Link copied to clipboard
val typeName: String
Content copied to clipboard